DELETE /messages/{id}
Delete a messages. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes |
curl -X DELETE https://agakural.online/messages/{id} \
-H "Authorization: Bearer $TOKEN"
GET /messages/{id}
Get one message. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes |
curl -X GET https://agakural.online/messages/{id} \
-H "Authorization: Bearer $TOKEN"
POST /messages/{id}
Create a messages. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes | |
| to | body | string | Yes |
curl -X POST https://agakural.online/messages/{id} \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"to": "919876543210"}'
PUT /messages/{id}
Update a messages. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes |
curl -X PUT https://agakural.online/messages/{id} \
-H "Authorization: Bearer $TOKEN"
DELETE /messages/{id}/pin
Delete messages pin. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes |
curl -X DELETE https://agakural.online/messages/{id}/pin \
-H "Authorization: Bearer $TOKEN"
POST /messages/{id}/pin
Create messages pin. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes | |
| time | body | object | No | One of: day, week, month |
curl -X POST https://agakural.online/messages/{id}/pin \
-H "Authorization: Bearer $TOKEN"
PUT /messages/{id}/reaction
Update messages reaction. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes | |
| emoji | body | string | Yes | Up to 16 characters |
curl -X PUT https://agakural.online/messages/{id}/reaction \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"emoji": "emoji"}'
DELETE /messages/{id}/star
Delete messages star. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes |
curl -X DELETE https://agakural.online/messages/{id}/star \
-H "Authorization: Bearer $TOKEN"
PUT /messages/{id}/star
Update messages star. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes |
curl -X PUT https://agakural.online/messages/{id}/star \
-H "Authorization: Bearer $TOKEN"
POST /messages/audio
Send a audio message. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| to | body | string | Yes | |
| quoted | body | string | No | |
| typing_time | body | number | No | Range 0–60 |
| media | body | string | Yes | |
| caption | body | string | No | |
| filename | body | string | No | |
| mimetype | body | string | No | |
| voice | body | boolean | No |
curl -X POST https://agakural.online/messages/audio \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"to": "919876543210", "media": "media"}'
POST /messages/contact
Send a contact message. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| to | body | string | Yes | |
| quoted | body | string | No | |
| typing_time | body | number | No | Range 0–60 |
| name | body | string | Yes | Up to 100 characters |
| phone | body | string | Yes | Up to 20 characters |
curl -X POST https://agakural.online/messages/contact \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"to": "919876543210", "name": "name", "phone": "phone"}'
POST /messages/document
Send a document message. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| to | body | string | Yes | |
| quoted | body | string | No | |
| typing_time | body | number | No | Range 0–60 |
| media | body | string | Yes | |
| caption | body | string | No | |
| filename | body | string | No | |
| mimetype | body | string | No | |
| voice | body | boolean | No |
curl -X POST https://agakural.online/messages/document \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"to": "919876543210", "media": "media"}'
POST /messages/event
Send a event message. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| to | body | string | Yes | |
| quoted | body | string | No | |
| typing_time | body | number | No | Range 0–60 |
| name | body | string | Yes | Up to 200 characters |
| description | body | string | No | Up to 2048 characters |
| start_time | body | integer | Yes | Range 0– |
| end_time | body | integer | No | Range 0– |
| call | body | object | No | One of: audio, video |
| location | body | object | No |
curl -X POST https://agakural.online/messages/event \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"to": "919876543210", "name": "name", "start_time": 1}'
POST /messages/image
Send a image message. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| to | body | string | Yes | |
| quoted | body | string | No | |
| typing_time | body | number | No | Range 0–60 |
| media | body | string | Yes | |
| caption | body | string | No | |
| filename | body | string | No | |
| mimetype | body | string | No | |
| voice | body | boolean | No |
curl -X POST https://agakural.online/messages/image \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"to": "919876543210", "media": "media"}'
POST /messages/interactive
Send a interactive message. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| to | body | string | Yes | |
| quoted | body | string | No | |
| typing_time | body | number | No | Range 0–60 |
| type | body | object | Yes | One of: button, list |
| header | body | string | No | Up to 60 characters |
| body | body | string | Yes | Up to 1024 characters |
| footer | body | string | No | Up to 60 characters |
| buttons | body | array of object | No | |
| list | body | object | No |
curl -X POST https://agakural.online/messages/interactive \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"to": "919876543210", "type": "type", "body": "body"}'
POST /messages/link_preview
Send a link preview message. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| to | body | string | Yes | |
| quoted | body | string | No | |
| typing_time | body | number | No | Range 0–60 |
| body | body | string | Yes | Up to 4096 characters |
| url | body | string | Yes | |
| title | body | string | No | Up to 200 characters |
| description | body | string | No | Up to 500 characters |
| preview | body | string | No |
curl -X POST https://agakural.online/messages/link_preview \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"to": "919876543210", "body": "body", "url": "url"}'
GET /messages/list
Get messages list. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| count | query | integer | No | Range –500 |
| offset | query | integer | No | |
| chat_id | query | string | No |
curl -X GET https://agakural.online/messages/list \
-H "Authorization: Bearer $TOKEN"
POST /messages/location
Send a location message. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| to | body | string | Yes | |
| quoted | body | string | No | |
| typing_time | body | number | No | Range 0–60 |
| latitude | body | number | Yes | |
| longitude | body | number | Yes | |
| name | body | string | No | |
| address | body | string | No |
curl -X POST https://agakural.online/messages/location \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"to": "919876543210", "latitude": 1, "longitude": 1}'
POST /messages/media/{type}
Create a messages media. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| to | query | string | No | |
| type | path | string | Yes | |
| to | body | string | No | |
| quoted | body | string | No | |
| typing_time | body | number | No | Range 0–60 |
| media | body | string | Yes | |
| caption | body | string | No | |
| filename | body | string | No | |
| mimetype | body | string | No |
curl -X POST https://agakural.online/messages/media/{type} \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"media": "media"}'
POST /messages/poll
Send a poll message. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| to | body | string | Yes | |
| quoted | body | string | No | |
| typing_time | body | number | No | Range 0–60 |
| title | body | string | Yes | Up to 255 characters |
| options | body | array of string | Yes | |
| count | body | integer | No | Range 1–12 |
curl -X POST https://agakural.online/messages/poll \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"to": "919876543210", "title": "title", "options": []}'
POST /messages/sticker
Send a sticker message. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| to | body | string | Yes | |
| quoted | body | string | No | |
| typing_time | body | number | No | Range 0–60 |
| media | body | string | Yes |
curl -X POST https://agakural.online/messages/sticker \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"to": "919876543210", "media": "media"}'
POST /messages/text
Send a text message. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| to | body | string | Yes | |
| quoted | body | string | No | |
| typing_time | body | number | No | Range 0–60 |
| body | body | string | Yes | Up to 4096 characters |
| mentions | body | array of string | No | |
| edit | body | string | No |
curl -X POST https://agakural.online/messages/text \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"to": "919876543210", "body": "body"}'
POST /messages/video
Send a video message. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| to | body | string | Yes | |
| quoted | body | string | No | |
| typing_time | body | number | No | Range 0–60 |
| media | body | string | Yes | |
| caption | body | string | No | |
| filename | body | string | No | |
| mimetype | body | string | No | |
| voice | body | boolean | No |
curl -X POST https://agakural.online/messages/video \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"to": "919876543210", "media": "media"}'
POST /messages/voice
Send a voice message. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| to | body | string | Yes | |
| quoted | body | string | No | |
| typing_time | body | number | No | Range 0–60 |
| media | body | string | Yes |
curl -X POST https://agakural.online/messages/voice \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"to": "919876543210", "media": "media"}'